<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Kursplanung\KursUebersicht;

class KursUebersichtResetFilterController extends KursUebersichtController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->suchParameter = $this->getFilterFromPost();

    return $requestObj;
  }

  protected function getFilterFromPost()
  {
    
    
    $toolId = KursUebersichtUseCase::getToolId();
    $suchApi = new \KurssuchAPIwSearch();

    return $suchApi->getSearchParamsFromReq('tool' . $toolId, 'searchkurs');
  }
}